=== modified file 'README'
--- README	2009-05-26 13:58:24 +0000
+++ README	2011-07-31 16:50:29 +0000
@@ -15,7 +15,7 @@
 
   * Python 2.4
   * Bazaar with the same major version as bzr-gtk
-  * PyGTK 2.8 or later
+  * PyGObject
 
 In order to see graphs in the visualisation tool, you will also need:
 
@@ -119,7 +119,7 @@
 
  - Python: http://www.python.org/download/releases/2.4.3/
  - GTK: http://gladewin32.sourceforge.net/
- - PyGTK: http://www.mapr.ucl.ac.be/~gustin/win32_ports (pygtk, pygobject and pycairo)
+ - PyGTK: http://www.mapr.ucl.ac.be/~gustin/win32_ports (pygobject and pycairo)
  - Bazaar: http://bazaar-vcs.org/WindowsDownloads (Python-based should be okay)
  - pyWin32: http://sourceforge.net/project/showfiles.php?group_id=78018
 

=== modified file '__init__.py'
--- __init__.py	2011-04-10 18:44:39 +0000
+++ __init__.py	2011-07-31 16:50:29 +0000
@@ -75,17 +75,8 @@
     from bzrlib.trace import warning
     warning("Not running as bzrlib.plugins.gtk, things may break.")
 
-def import_pygtk():
-    try:
-        import pygtk
-    except ImportError:
-        raise errors.BzrCommandError("PyGTK not installed.")
-    pygtk.require('2.0')
-    return pygtk
-
 
 def set_ui_factory():
-    import_pygtk()
     from ui import GtkUIFactory
     import bzrlib.ui
     bzrlib.ui.ui_factory = GtkUIFactory()
@@ -168,8 +159,8 @@
     try:
         result = basic_tests
         try:
-            import_pygtk()
-        except errors.BzrCommandError:
+            import gi.repository.Gtk
+        except ImportError:
             return basic_tests
         basic_tests.addTest(loader.loadTestsFromModuleNames(
                 ["%s.%s" % (__name__, tmn) for tmn in testmod_names]))

=== modified file 'about.py'
--- about.py	2011-07-31 15:52:43 +0000
+++ about.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 import os
 

=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2011-07-31 15:52:43 +0000
+++ annotate/gannotate.py	2011-07-31 16:50:29 +0000
@@ -16,8 +16,6 @@
 
 import time
 
-import pygtk
-pygtk.require("2.0")
 from gi.repository import GObject
 from gi.repository import Gtk
 from gi.repository import Pango

=== modified file 'annotate/spanselector.py'
--- annotate/spanselector.py	2011-07-31 15:52:43 +0000
+++ annotate/spanselector.py	2011-07-31 16:50:29 +0000
@@ -15,8 +15,6 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
 
-import pygtk
-pygtk.require("2.0")
 from gi.repository import GObject
 from gi.repository import Gtk
 

=== modified file 'branch.py'
--- branch.py	2011-07-31 15:52:43 +0000
+++ branch.py	2011-07-31 16:50:29 +0000
@@ -16,12 +16,6 @@
 
 import os
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 from bzrlib import (

=== modified file 'branchbox.py'
--- branchbox.py	2011-07-31 15:52:43 +0000
+++ branchbox.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 from gi.repository import GObject
 

=== modified file 'branchview/treeview.py'
--- branchview/treeview.py	2011-07-31 15:52:43 +0000
+++ branchview/treeview.py	2011-07-31 16:50:29 +0000
@@ -356,10 +356,7 @@
         self.treeview.set_search_equal_func(search_equal_func)
         self.treeview.set_enable_search(True)
 
-        # Fix old PyGTK bug - by JAM
-        set_tooltip = getattr(self.treeview, 'set_tooltip_column', None)
-        if set_tooltip is not None:
-            set_tooltip(treemodel.MESSAGE)
+        set_tooltip(treemodel.MESSAGE)
 
         self._prev_cursor_path = None
         self.treeview.connect("cursor-changed",

=== modified file 'bzr-handle-patch'
--- bzr-handle-patch	2011-04-04 17:52:28 +0000
+++ bzr-handle-patch	2011-07-31 16:50:29 +0000
@@ -31,7 +31,7 @@
 		controller = MergeDirectiveController(path, directive)
 	window = controller.window
 	window.show()
-	gtk = open_display()
+	Gtk = open_display()
 	window.connect("destroy", gtk.main_quit)
 except Exception, e:
 	from bzrlib.plugins.gtk.dialog import error_dialog

=== modified file 'bzr-notify'
--- bzr-notify	2011-04-02 12:42:35 +0000
+++ bzr-notify	2011-07-31 16:50:29 +0000
@@ -12,7 +12,7 @@
 from bzrlib.plugins.gtk.commands import open_display
 
 from bzrlib.plugins.gtk.notify import NotifyPopupMenu
-gtk = open_display()
+Gtk = open_display()
 
 import cgi
 import dbus

=== modified file 'checkout.py'
--- checkout.py	2011-07-31 15:52:43 +0000
+++ checkout.py	2011-07-31 16:50:29 +0000
@@ -16,12 +16,6 @@
 
 import os
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 from bzrlib.branch import Branch

=== modified file 'commands.py'
--- commands.py	2011-07-31 15:52:43 +0000
+++ commands.py	2011-07-31 16:50:29 +0000
@@ -32,7 +32,6 @@
 from bzrlib.option import Option
 
 from bzrlib.plugins.gtk import (
-    import_pygtk,
     set_ui_factory,
     )
 from bzrlib.plugins.gtk.i18n import _i18n
@@ -46,14 +45,13 @@
 
 
 def open_display():
-    pygtk = import_pygtk()
     try:
         from gi.repository import Gtk
     except RuntimeError, e:
         if str(e) == "could not open display":
             raise NoDisplayError
     set_ui_factory()
-    return gtk
+    return Gtk
 
 
 
@@ -236,7 +234,7 @@
     aliases = ["gblame", "gpraise"]
     
     def run(self, filename, all=False, plain=False, line='1', revision=None):
-        gtk = open_display()
+        Gtk = open_display()
 
         try:
             line = int(line)
@@ -331,7 +329,7 @@
     takes_options = ['revision']
 
     def run(self, path='.', revision=None):
-        gtk = open_display()
+        Gtk = open_display()
         from bzrlib.plugins.gtk.status import StatusWindow
         (wt, wt_path) = workingtree.WorkingTree.open_containing(path)
 
@@ -357,7 +355,7 @@
     """
     def run(self):
         (br, path) = branch.Branch.open_containing(".")
-        gtk = open_display()
+        Gtk = open_display()
         from bzrlib.plugins.gtk.mergedirective import SendMergeDirectiveDialog
         from StringIO import StringIO
         dialog = SendMergeDirectiveDialog(br)
@@ -424,7 +422,6 @@
     """
     takes_args = ["other_branch?"]
     def run(self, other_branch=None):
-        pygtk = import_pygtk()
         try:
             from gi.repository import Gtk
         except RuntimeError, e:
@@ -476,7 +473,7 @@
     def run(self):
         br = branch.Branch.open_containing('.')[0]
         
-        gtk = open_display()
+        Gtk = open_display()
         from tags import TagsWindow
         window = TagsWindow(br)
         window.show()

=== modified file 'commit.py'
--- commit.py	2011-07-31 15:52:43 +0000
+++ commit.py	2011-07-31 16:50:29 +0000
@@ -16,12 +16,6 @@
 
 import re
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 from gi.repository import GObject
 from gi.repository import Pango

=== modified file 'conflicts.py'
--- conflicts.py	2011-07-31 15:52:43 +0000
+++ conflicts.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 import subprocess
 
 from gi.repository import Gtk

=== modified file 'dialog.py'
--- dialog.py	2011-07-31 15:52:43 +0000
+++ dialog.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 

=== modified file 'diff.py'
--- diff.py	2011-07-31 15:52:43 +0000
+++ diff.py	2011-07-31 16:50:29 +0000
@@ -10,8 +10,6 @@
 
 from cStringIO import StringIO
 
-import pygtk
-pygtk.require("2.0")
 from gi.repository import Gtk
 from gi.repository import Pango
 import os

=== modified file 'initialize.py'
--- initialize.py	2011-07-31 15:52:43 +0000
+++ initialize.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 import os

=== modified file 'loom.py'
--- loom.py	2011-07-31 15:52:43 +0000
+++ loom.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 from gi.repository import GObject
 

=== modified file 'merge.py'
--- merge.py	2011-07-31 15:52:43 +0000
+++ merge.py	2011-07-31 16:50:29 +0000
@@ -16,12 +16,6 @@
 
 import os
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 from bzrlib.branch import Branch

=== modified file 'mergedirective.py'
--- mergedirective.py	2011-07-31 15:52:43 +0000
+++ mergedirective.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 from bzrlib.plugins.gtk.branchbox import BranchSelectionBox

=== modified file 'missing.py'
--- missing.py	2011-07-31 15:52:43 +0000
+++ missing.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 from bzrlib.missing import find_unmerged

=== modified file 'notify.py'
--- notify.py	2011-07-31 15:52:43 +0000
+++ notify.py	2011-07-31 16:50:29 +0000
@@ -16,12 +16,6 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """Notification area icon and notification for Bazaar."""
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 import bzrlib
 

=== modified file 'preferences/__init__.py'
--- preferences/__init__.py	2011-07-31 15:52:43 +0000
+++ preferences/__init__.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 from bzrlib.config import GlobalConfig

=== modified file 'preferences/identity.py'
--- preferences/identity.py	2011-07-31 15:52:43 +0000
+++ preferences/identity.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 

=== modified file 'preferences/notifications.py'
--- preferences/notifications.py	2011-07-31 15:52:43 +0000
+++ preferences/notifications.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 import bzrlib.plugins.gtk

=== modified file 'preferences/plugins.py'
--- preferences/plugins.py	2011-07-31 15:52:43 +0000
+++ preferences/plugins.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 

=== modified file 'push.py'
--- push.py	2011-07-31 15:52:43 +0000
+++ push.py	2011-07-31 16:50:29 +0000
@@ -15,12 +15,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 from errors import show_bzr_error

=== modified file 'revbrowser.py'
--- revbrowser.py	2011-07-31 15:52:43 +0000
+++ revbrowser.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import GObject
 from gi.repository import Gtk
 

=== modified file 'revidbox.py'
--- revidbox.py	2011-07-31 15:52:43 +0000
+++ revidbox.py	2011-07-31 16:50:29 +0000
@@ -15,12 +15,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 class RevisionSelectionBox(Gtk.HBox):

=== modified file 'revisionmenu.py'
--- revisionmenu.py	2011-07-31 15:52:43 +0000
+++ revisionmenu.py	2011-07-31 16:50:29 +0000
@@ -15,12 +15,6 @@
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 """Simple popup menu for revisions."""
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 from gi.repository import GObject
 from bzrlib import ui

=== modified file 'revisionview.py'
--- revisionview.py	2011-07-31 15:52:43 +0000
+++ revisionview.py	2011-07-31 16:50:29 +0000
@@ -15,8 +15,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-import pygtk
-pygtk.require("2.0")
 from gi.repository import Gtk
 from gi.repository import Pango
 from gi.repository import GObject
@@ -54,7 +52,6 @@
     webbrowser.open(uri)
 
 if getattr(gtk, 'link_button_set_uri_hook', None) is not None:
-    # Not available before PyGtk-2.10
     Gtk.link_button_set_uri_hook(_open_link)
 
 class BugsTab(Gtk.VBox):

=== modified file 'search.py'
--- search.py	2011-07-31 15:52:43 +0000
+++ search.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import GObject
 from gi.repository import Gtk
 

=== modified file 'status.py'
--- status.py	2011-07-31 15:52:43 +0000
+++ status.py	2011-07-31 16:50:29 +0000
@@ -14,12 +14,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 from bzrlib.plugins.gtk import window
 from bzrlib.plugins.gtk.i18n import _i18n

=== modified file 'tags.py'
--- tags.py	2011-07-31 15:52:43 +0000
+++ tags.py	2011-07-31 16:50:29 +0000
@@ -15,12 +15,6 @@
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 
-try:
-    import pygtk
-    pygtk.require("2.0")
-except:
-    pass
-
 from gi.repository import Gtk
 
 from bzrlib.plugins.gtk.dialog import error_dialog

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2011-07-31 15:52:43 +0000
+++ viz/branchwin.py	2011-07-31 16:50:29 +0000
@@ -78,7 +78,6 @@
         self.add_accel_group(self.accel_group)
 
         if getattr(Gtk.Action, 'set_tool_item_type', None) is not None:
-            # Not available before PyGtk-2.10
             Gtk.Action.set_tool_item_type(Gtk.MenuToolButton)
 
         self.prev_rev_action = Gtk.Action("prev-rev", "_Previous Revision", "Go to the previous revision", Gtk.STOCK_GO_DOWN)

=== modified file 'window.py'
--- window.py	2011-07-31 15:52:43 +0000
+++ window.py	2011-07-31 16:50:29 +0000
@@ -1,5 +1,4 @@
 
-import pygtk
 from gi.repository import Gtk
 
 class Window(Gtk.Window):

